%define oname	CorsixTH

Summary:	Open source clone of Theme Hospital
Name:		corsixth
Version:	0.20
Release:	%mkrel 1
Source0:	http://corsix-th.googlecode.com/files/%{oname}-%{version}-Source.tar.gz
License:	MIT
Group:		Games/Strategy
URL:		http://code.google.com/p/corsix-th/
Epoch:		1
BuildRequires:	cmake 
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	lua5.1-devel
BuildRequires:	freetype2-devel
BuildRequires:	icoutils
BuildRequires:	ffmpeg-devel
Suggests:	TiMidity++

%description
This project aims to reimplement the game engine of Theme Hospital, and 
be able to load the original game data files. This means that you will 
need a purchased copy of Theme Hospital in order to enjoy CorsixTH. 

%prep
%setup -q -n %{oname}-%{version}-Source

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_gamesdatadir}/
%make

%install
cd build
make install DESTDIR=%{buildroot}/

mkdir %{buildroot}/%{_gamesbindir}
cat > %{buildroot}/%{_gamesbindir}/%{oname} << EOF
#!/bin/bash
%{_gamesdatadir}/%{oname}/%{oname}
EOF

mkdir %{buildroot}/%{_gamesdatadir}/%{oname}/th-files/

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{32x32,128x128}/apps
cd ..
icotool -x %{oname}/%{oname}.ico
mv %{oname}*32x32*.png %{oname}.png
install -m 644 %{oname}.png %buildroot%_iconsdir/hicolor/32x32/apps/%{oname}.png
mv %{oname}*128x128*.png %{oname}.png
install -m 644 %{oname}.png %buildroot%_iconsdir/hicolor/128x128/apps/%{oname}.png

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CorsixTH
Comment=Open source clone of Theme Hospital game
Exec=%{oname}
Path=%{_gamesdatadir}/%{oname}
Icon=%{oname}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%attr(755, root, root) %{_gamesbindir}/%{oname}
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/*
%doc %{_gamesdatadir}/%{oname}/LICENSE.txt
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_datadir}/applications/%{name}.desktop


%changelog

* Tue Mar 26 2013 dams <dams> 1:0.20-1.mga3
+ Revision: 405247
- new version 0.20
- update BuildRequires

* Fri Jan 11 2013 umeabot <umeabot> 1:0.11-2.mga3
+ Revision: 348187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 dams <dams> 1:0.11-1.mga3
+ Revision: 319410
- new version 0.11

* Tue Sep 25 2012 dams <dams> 1:0.10-1.mga3
+ Revision: 297686
- new version 0.10
- clean specfile

* Mon Jun 25 2012 dams <dams> 1:0.01b-4.mga3
+ Revision: 263543
- remove 'how to use' from 'description'

* Thu Jun 14 2012 dams <dams> 1:0.01b-3.mga3
+ Revision: 260593
- Add 'TiMidity++' as require to make music work

* Tue Jun 12 2012 dams <dams> 1:0.01b-2.mga3
+ Revision: 260140
- Update game icon with the legal/official icon

* Mon Jun 11 2012 dams <dams> 1:0.01b-1.mga3
+ Revision: 259769
- add the good BuildRequire for freetype2-devel
- new version 0.01b
- clean specfile
- update BuildRequires
- add Epoch as previous version was not the good one

* Fri Jan 27 2012 fwang <fwang> 0.8-2.mga2
+ Revision: 202196
- cleanup spec

* Wed Sep 28 2011 supp <supp> 0.8-1.mga2
+ Revision: 149929
- update to Beta8, fixing various bugs and adding VIP visits...

* Sun Jun 26 2011 supp <supp> 0.7-1.mga2
+ Revision: 114064
-update to b7 release

* Mon Apr 25 2011 wally <wally> 0.6-2.mga1
+ Revision: 90308
- fix desktop file name (mga#954)
- drop buildroot definition

* Sun Mar 27 2011 supp <supp> 0.6-1.mga1
+ Revision: 78013
- imported package corsixth

